---
title: '<applet>: The Embed Java Applet element'
slug: Web/HTML/Element/applet
tags:
  - Element
  - HTML
  - Java
  - Obsolete
  - Reference
  - Web
  - applet
---
<p>{{HTMLRef}}{{Obsolete_Header}}</p>

<div class="notecard warning">
<p>The <code>&lt;applet&gt;</code> element was removed in <a href="https://bugzilla.mozilla.org/show_bug.cgi?id=1279218">Gecko 56</a> and <a href="https://bugs.chromium.org/p/chromium/issues/detail?id=470301">Chrome 47</a>.</p>

<p>Removal is being considered in <a href="https://bugs.webkit.org/show_bug.cgi?id=157926">WebKit</a> and <a href="https://developer.microsoft.com/en-us/microsoft-edge/platform/issues/11946645/">Edge</a>.</p>
</div>

<p><span class="seoSummary">The obsolete <strong>HTML Applet Element</strong> (<strong><code>&lt;applet&gt;</code></strong>) embeds a Java applet into the document; this element has been deprecated in favor of {{HTMLElement("object")}}.</span></p>

<p>Use of Java applets on the Web is deprecated; most browsers no longer support use of plug-ins, including the Java plug-in.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>, <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Embedded_content">embedded content</a>, interactive content, palpable content.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td>Zero or more {{HTMLElement("param")}} elements, then <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Transparent_content_model">transparent</a>.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>None, both the starting and ending tag are mandatory.</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Embedded_content">embedded content</a>.</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{DOMxRef("HTMLAppletElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt>{{HTMLAttrDef("align")}}</dt>
 <dd>This attribute is used to position the applet on the page relative to content that might flow around it. The HTML 4.01 specification defines values of <code>bottom</code>, <code>left</code>, <code>middle</code>, <code>right</code>, and <code>top</code>, whereas Microsoft and Netscape also might support <code>absbottom</code>, <code>absmiddle</code>, <code>baseline</code>, <code>center</code>, and <code>texttop</code>.</dd>
 <dt>{{HTMLAttrDef("alt")}}</dt>
 <dd>This attribute causes a descriptive text alternate to be displayed on browsers that do not support Java. Page designers should also remember that content enclosed within the <code>&lt;applet&gt;</code> element may also be rendered as alternative text.</dd>
 <dt>{{HTMLAttrDef("archive")}}</dt>
 <dd>This attribute refers to an archived or compressed version of the applet and its associated class files, which might help reduce download time.</dd>
 <dt>{{HTMLAttrDef("code")}}</dt>
 <dd>This attribute specifies the URL of the applet's class file to be loaded and executed. Applet filenames are identified by a .class filename extension. The URL specified by code might be relative to the <code>codebase</code> attribute.</dd>
 <dt>{{HTMLAttrDef("codebase")}}</dt>
 <dd>This attribute gives the absolute or relative URL of the directory where applets' .class files referenced by the code attribute are stored.</dd>
 <dt>{{HTMLAttrDef("datafld")}}</dt>
 <dd>This attribute, supported by Internet Explorer 4 and higher, specifies the column name from the data source object that supplies the bound data. This attribute might be used to specify the various {{HTMLElement("param")}} elements passed to the Java applet.</dd>
 <dt>{{HTMLAttrDef("datasrc")}}</dt>
 <dd>Like <code>datafld</code>, this attribute is used for data binding under Internet Explorer 4. It indicates the id of the data source object that supplies the data that is bound to the {{HTMLElement("param")}} elements associated with the applet.</dd>
 <dt>{{HTMLAttrDef("height")}}</dt>
 <dd>This attribute specifies the height, in pixels, that the applet needs.</dd>
 <dt>{{HTMLAttrDef("hspace")}}</dt>
 <dd>This attribute specifies additional horizontal space, in pixels, to be reserved on either side of the applet.</dd>
 <dt>{{HTMLAttrDef("mayscript")}}</dt>
 <dd>In the Netscape implementation, this attribute allows access to an applet by programs in a scripting language embedded in the document.</dd>
 <dt>{{HTMLAttrDef("name")}}</dt>
 <dd>This attribute assigns a name to the applet so that it can be identified by other resources; particularly scripts.</dd>
 <dt>{{HTMLAttrDef("object")}}</dt>
 <dd>This attribute specifies the URL of a serialized representation of an applet.</dd>
 <dt>{{HTMLAttrDef("src")}}</dt>
 <dd>As defined for Internet Explorer 4 and higher, this attribute specifies a URL for an associated file for the applet. The meaning and use is unclear and not part of the HTML standard.</dd>
 <dt>{{HTMLAttrDef("vspace")}}</dt>
 <dd>This attribute specifies additional vertical space, in pixels, to be reserved above and below the applet.</dd>
 <dt>{{HTMLAttrDef("width")}}</dt>
 <dd>This attribute specifies in pixels the width that the applet needs.</dd>
</dl>

<h2 id="Example">Example</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;applet code="game.class" align="left" archive="game.zip" height="250" width="350"&gt;
  &lt;param name="difficulty" value="easy"&gt;
  &lt;b&gt;Sorry, you need Java to play this game.&lt;/b&gt;
&lt;/applet&gt;
</pre>

<p>{{EmbedLiveSample("Example", "100%", 300)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML5.2", "obsolete.html#the-applet-element", "&lt;applet&gt;")}}</td>
   <td>{{Spec2("HTML5.2")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("HTML5.1", "obsolete.html#the-applet-element", "&lt;applet&gt;")}}</td>
   <td>{{Spec2("HTML5.1")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("HTML5 W3C", "obsolete.html#the-applet-element", "&lt;applet&gt;")}}</td>
   <td>{{Spec2("HTML5 W3C")}}</td>
   <td>Made obsolete</td>
  </tr>
  <tr>
   <td>{{SpecName("HTML4.01", "struct/objects.html#h-13.4", "&lt;applet&gt;")}}</td>
   <td>{{Spec2("HTML4.01")}}</td>
   <td>Deprecated in favor of {{HTMLElement("object")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.applet")}}</p>

<h2 id="Notes">Notes</h2>

<p>The W3C specification does not encourage the use of <code>&lt;applet&gt;</code> and prefers the use of the {{HTMLElement("object")}} element. Under the strict definition of HTML 4.01, this element is deprecated and entirely obsolete in HTML5.</p>
